View Issue Details

IDProjectCategoryView StatusLast Update
0002494SymmetricDSBugpublic2019-05-17 19:55
ReporterazarubkinAssigned Toelong 
Prioritynormal 
Status assignedResolutionreopened 
Product Version3.7.28 
Target VersionFixed in Version 
Summary0002494: Upgrade alter table error, could not find stored procedure sp_executesql
DescriptionWhen upgrading existing 3.6 installation to 3.7, the following error is thrown and the process fails:

~~~~
2016-02-05 10:17:53,406 INFO [main] [MsSqlSymmetricDialect] [symmetric-engine-startup-0] Checking if SymmetricDS tables need created or altered
2016-02-05 10:17:55,765 INFO [main] [MsSqlSymmetricDialect] [symmetric-engine-startup-0] There are SymmetricDS tables that needed altered
2016-02-05 10:17:55,781 INFO [main] [MsSqlSymmetricDialect] [symmetric-engine-startup-0] DDL applied: SET quoted_identifier on
2016-02-05 10:17:55,781 WARN [main] [MsSqlSymmetricDialect] [symmetric-engine-startup-0] DDL failed: "guard"."symmetricds".sp_executesql N'DROP INDEX "sym_idx_reg_req_1" ON "sym_registration_request"'
2016-02-05 10:17:55,796 WARN [main] [JdbcSqlTemplate] [symmetric-engine-startup-0] Could not find stored procedure 'guard.symmetricds.sp_executesql'.. Failed to execute: "guard"."symmetricds".sp_executesql N'DROP INDEX "sym_idx_reg_req_1" ON "sym_registration_request"'
~~~~
Apparently, SymmetricDS prepends database and schema name to sp_executesql procedure call. It shouldn't do so.
My DB is MS SQL 2005.
Additional InformationIt can be solved by manually deleting the index.
Tagsddl/schema, upgrade

Activities

elong

2019-05-13 16:29

developer   ~0001476

We require stored procedure sp_executesql to be available.

azarubkin

2019-05-14 01:41

reporter   ~0001478

It is available as sp_executesql, but SymmetricDS searches it with wrong name, as guard.symmetricds.sp_executesql.

elong

2019-05-14 08:17

developer   ~0001479

I can't find any use of sp_executesql in the SymmetricDS code, so I think it's coming from the JDBC driver. Are you using the JTDS JDBC driver that was packaged with SymmetricDS or another driver? What is the db.url that you are using? Does it have "guard" in the db.url?

azarubkin

2019-05-14 09:16

reporter   ~0001481

db.url=jdbc:jtds:sqlserver://localhost:1433/guard

I believe I use the driver packaged in SymmetricDS.

Issue History

Date Modified Username Field Change
2016-02-15 03:52 azarubkin New Issue
2019-04-23 16:39 elong Tag Attached: Upgrade
2019-04-23 16:39 elong Tag Attached: ddl/schema
2019-05-13 16:29 elong Assigned To => elong
2019-05-13 16:29 elong Status new => closed
2019-05-13 16:29 elong Resolution open => won't fix
2019-05-13 16:29 elong Note Added: 0001476
2019-05-14 01:41 azarubkin Status closed => feedback
2019-05-14 01:41 azarubkin Resolution won't fix => reopened
2019-05-14 01:41 azarubkin Note Added: 0001478
2019-05-14 08:17 elong Note Added: 0001479
2019-05-14 09:16 azarubkin Note Added: 0001481
2019-05-14 09:16 azarubkin Status feedback => assigned
2019-05-17 19:55 elong Summary Upgrade process error => Upgrade alter table error, could not find stored procedure sp_executesql